version: '3.9'

services:
  app:
    build: .
    image: gerenciador_leiloes
    container_name: gerenciador_leiloes
    ports:
      - "3005:3000"
    env_file:
      - .env
    volumes:
      - ./logs:/app/logs
    depends_on:
      - redis
    restart: always
    networks:
      - leilao_net

  redis:
    image: redis:7-alpine
    container_name: gerenciador_leiloes_redis
    ports:
      - "6380:6379"
    restart: always
    networks:
      - leilao_net

networks:
  leilao_net:
    driver: bridge
